Skip to main content

Get real-time data for an asset

GET 

/assets/:uid/real-time-data

Retrieves the latest real-time measurement data for the specified asset (electrical device). Data is collected from the edge device through Fuzz Secure link.

The response contains the asset UID, asset name, and a map of metric names to their current values. Optionally, you can filter the metrics by providing a list of metric IDs.

Available Metric IDs

IDDescriptionUnitAsset Types
i1 / i2 / i3Current per phase (L1/L2/L3)AmpereCommon
p1 / p2 / p3Active power per phaseWattCommon
v1 / v2 / v3Voltage phase-to-neutralVoltCommon
vnNeutral conductor voltageVoltCommon
eairActive energy imported (cumulative)MWhCommon
paiTotal active power importedWattCommon
pai1 / pai2 / pai3Active power imported per phaseWattCommon
qTotal reactive power importedkVARCommon
q1 / q2 / q3Reactive power imported per phasekVARCommon
i1m / i2m / i3mMinimum current per phaseAmpereCommon
i1M / i2M / i3MMaximum current per phaseAmpereCommon
maxaMaximum current limit (static)AmpereCommon
maxpMaximum power limit (static)WattCommon
iSetCurrentCurrent setpoint (control value)AmpereChargePoint, Battery, Photovoltaic
iSetPowerPower setpoint (control value)WattChargePoint, Battery, Photovoltaic
evStateEV connection/charging stateNumberChargePoint
ratedPvPowerInstalled PV peak powerkWhPhotovoltaic
sttAsset operational status codeNumberCommon
fElectrical grid frequencyHertzMeter
sApparent power (total)kVAMeter
u12 / u23 / u31Phase-to-phase voltageVoltMeter
PF1 / PF2 / PF3Power factor per phase (cos φ)Cos PhiMeter
PFOverall power factor (cos φ)Cos PhiMeter
eaerActive energy exported to gridkWhMeter
imppt1 / imppt2 / impptnDC current from PV strings (MPPT)AmperePhotovoltaic
vmppt1 / vmppt2 / vmpptnDC voltage from PV strings (MPPT)VoltPhotovoltaic
irrSolar irradianceW/m²Photovoltaic
fpExpected PV production estimatekWhPhotovoltaic
cpContractual production thresholdNumberPhotovoltaic
socBattery State of Charge%Battery
sohBattery State of Health%Battery
CTotal battery capacitykWhBattery
pMaxInstMax instantaneous discharge powerWattBattery
pMinInstMax instantaneous charge powerWattBattery
TiInternal fridge temperature°CFridge
TeExternal ambient temperature°CFridge
PthThermal cooling/heating powerkWcFridge
copCoefficient of Performance (thermal/electric)kWc/kWeFridge
SPthThermostat target temperature°CFridge
dTTemperature delta (allowed/measured)°CFridge
LPLow-side (suction) pressurebarFridge
HPHigh-side (discharge) pressurebarFridge
condTCondenser temperature°CFridge
evaMTMedium evaporation temperature°CFridge
evaLTLow evaporation temperature°CFridge

Request

Responses

Real-time data retrieved successfully.